package com.clx.performance.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@SuppressWarnings("all")
public enum IdTypeEnum {
    ;

    @Getter
    @AllArgsConstructor
    public enum Type {
        TOP_UP(1L, "充值"),
        CASE_OUT(2L, "提现"),
        CASE_OUT_FROZEN(3L, "提现冻结"),
        CASE_OUT_SUCCESS(4L, "提现成功"),
        TOP_UP_SUCCESS(5L, "充值成功"),
        FROZEN(6L, "冻结"),
        THAW(7L, "解冻")
        ;
        private final Long code;
        private final String msg;

    }


}
